Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Error: circular dependencies: and slot conflict
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
kinappynow
n00b
n00b


Joined: 20 Oct 2014
Posts: 6

PostPosted: Thu Oct 23, 2014 5:24 pm    Post subject: Error: circular dependencies: and slot conflict Reply with quote

Hi All,

Could anybody explain the safest way around this?

Could I simply add -gnome and - bindist to my use flags and emerge --update --deep --newuse @world or is this not a good idea?

Thanks,

# emerge -pv gnome

These are the packages that would be merged, in order:

Calculating dependencies... done!


[ebuild N ] gnome-base/gnome-3.12.0:2.0 USE="bluetooth cdr classic cups extras -accessibility" 0 kB
[ebuild N ] gnome-base/gnome-core-apps-3.12.0:3.0 USE="bluetooth cdr cups" 0 kB
[ebuild N ] x11-terms/gnome-terminal-3.12.3 USE="gnome-shell nautilus" 1,681 kB
[ebuild N ] gnome-extra/gnome-shell-extensions-3.12.2 USE="-examples" 207 kB
[ebuild N ] app-admin/eselect-gnome-shell-extensions-20120911 3 kB
[ebuild N ] gnome-base/gnome-extra-apps-3.12.0:3.0 USE="games shotwell tracker" 0 kB
[ebuild N ] gnome-extra/gnome-tweak-tool-3.12.0 PYTHON_TARGETS="python2_7" 224 kB
[nomerge ] x11-terms/gnome-terminal-3.12.3 USE="gnome-shell nautilus"
[nomerge ] gnome-base/gnome-shell-3.12.2 USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7"
[ebuild N ] gnome-base/gnome-control-center-3.12.1-r1:2 USE="bluetooth colord cups gnome-online-accounts i18n -debug -kerberos -v4l" INPUT_DEVICES="-wacom" 6,706 kB
[ebuild N ] gnome-extra/nm-applet-0.9.8.10-r1 USE="bluetooth introspection -gconf -modemmanager" 1,206 kB
[ebuild N ] virtual/notification-daemon-0 USE="gnome" 0 kB
[ebuild N ] gnome-base/gdm-3.12.2 USE="branding introspection ipv6 systemd tcpd -accessibility -audit -debug -fprint -plymouth (-selinux) -smartcard {-test} -wayland -xinerama" 1,516 kB
[ebuild N ] gnome-base/gnome-shell-3.12.2 USE="bluetooth i18n networkmanager (-openrc-force)" PYTHON_TARGETS="python2_7" 1,505 kB

Total: 12 packages (12 new), Size of downloads: 13,046 kB

* Error: circular dependencies:

(gnome-base/gnome-control-center-3.12.1-r1::gentoo, ebuild scheduled for merge) depends on
(gnome-extra/nm-applet-0.9.8.10-r1::gentoo, ebuild scheduled for merge) (buildtime)
(virtual/notification-daemon-0::gentoo, ebuild scheduled for merge) (buildtime)
(gnome-base/gnome-shell-3.12.2::gentoo, ebuild scheduled for merge) (runtime)
(gnome-base/gnome-control-center-3.12.1-r1::gentoo, ebuild scheduled for merge) (runtime)

It might be possible to break this cycle
by applying the following change:
- virtual/notification-daemon-0 (Change USE: -gnome)

Note that this change can be reverted, once the package has been installed.

Note that the dependency graph contains a lot of cycles.
Several changes might be required to resolve all cycles.
Temporarily changing some use flag for all packages might be the better option.

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/openssl:0

(dev-libs/openssl-1.0.1j::gentoo, ebuild scheduled for merge) pulled in by
>=dev-libs/openssl-0.9.8g:0[-bindist] required by (net-voip/telepathy-gabble-0.18.3::gentoo, ebuild scheduled for merge)

(dev-libs/openssl-1.0.1j::gentoo, installed) pulled in by
>=dev-libs/openssl-0.9.6d:0[bindist=] required by (net-misc/openssh-6.6_p1-r1::gentoo, installed)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


The following USE changes are necessary to proceed:
(see "package.use" in the portage(5) man page for more details)
# required by net-voip/telepathy-gabble-0.18.3[-gnutls]
# required by net-im/telepathy-connection-managers-2-r2[-msn,jabber]
# required by net-im/empathy-3.12.4
# required by gnome-base/gnome-core-apps-3.12.0
# required by gnome-base/gnome-3.12.0
# required by gnome (argument)
=dev-libs/openssl-1.0.1j -bindist

* IMPORTANT: 6 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.









# emerge --info
Portage 2.2.8-r2 (default/linux/amd64/13.0/desktop/gnome/systemd, gcc-4.7.3, glibc-2.19-r1, 3.14.14-gentoo x86_64)
=================================================================
System uname: Linux-3.14.14-gentoo-x86_64-Intel-R-_Core-TM-_i5-3570_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem: 16339512 total, 15966052 free
KiB Swap: 16777212 total, 16777212 free
Timestamp of tree: Tue, 21 Oct 2014 18:30:01 +0000
ld GNU ld (Gentoo 2.23.2 p1.0) 2.23.2
app-shells/bash: 4.2_p53
dev-lang/perl: 5.18.2-r2
dev-lang/python: 2.7.7, 3.3.5-r1, 3.4.1
dev-util/cmake: 2.8.12.2-r1
dev-util/pkgconfig: 0.28-r1
sys-apps/baselayout: 2.2
sys-apps/openrc: 0.12.4
sys-apps/sandbox: 2.6-r1
sys-devel/autoconf: 2.13, 2.69
sys-devel/automake: 1.13.4
sys-devel/binutils: 2.23.2
sys-devel/gcc: 4.7.3-r1
sys-devel/gcc-config: 1.7.3
sys-devel/libtool: 2.4.2-r1
sys-devel/make: 4.0-r1
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc: 2.19-r1
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
USE="X a52 aac acl acpi alsa amd64 berkdb bindist bluetooth branding bzip2 cairo cdda cdr cli colord cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gif glamor gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv introspection ipv6 jpeg lcms ldap libnotify libsecret mad mmx mng modules mp3 mp4 mpeg multilib nautilus ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio qt3support qt4 readline sdl session socialweb spell sse sse2 ssl startup-notification svg systemd tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Back to top
View user's profile Send private message
r3g3x
n00b
n00b


Joined: 28 Jul 2014
Posts: 5

PostPosted: Thu Oct 23, 2014 5:41 pm    Post subject: Reply with quote

I always just add
Code:

dev-libs/openssl -bindist
net-misc/openssh -bindist

to /etc/portage/package.use and then
Code:

USE="-gnome" emerge notification-daemon
emerge -uDN gnome
Back to top
View user's profile Send private message
kinappynow
n00b
n00b


Joined: 20 Oct 2014
Posts: 6

PostPosted: Fri Oct 24, 2014 12:10 pm    Post subject: Reply with quote

r3g3x wrote:
I always just add
Code:

dev-libs/openssl -bindist
net-misc/openssh -bindist

to /etc/portage/package.use and then
Code:

USE="-gnome" emerge notification-daemon
emerge -uDN gnome


Thanks, that did the trick.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum